local _, addonTable = ...

addonTable.default = {
    shape = "scritchPop", --alt kitchPop
    color = "Blue", --alt Red, Green, Yellow, Purple
    position_x = 0,
    position_y = 1350,
    scale = 0.15,
    blinkSpeed = 0.2,
    movable = true
}

---------------------------------------------------------------------------
addonTable.getConfig = function()
    if not ScritchPopConfig then
        ScritchPopConfig = CopyTable(addonTable.default)
    end
    return ScritchPopConfig
end

function getPop(blinkState)
    local config = addonTable.getConfig()
    local state = blinkState and "open" or "close"
    local path = "Interface\\AddOns\\ScritchPop\\pops\\" .. config.shape .. "\\" .. state .. config.color
    return path
end

function getEmpty()
    local config = addonTable.getConfig()
    local path = "Interface\\AddOns\\ScritchPop\\pops\\" .. config.shape .. "\\empty"
    return path
end

